Get syncs
curl --request GET \
--url https://api.chift.eu/syncs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chift.eu/syncs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chift.eu/syncs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "<string>",
"connections": [
{
"one_api": 123,
"connection_type": 123,
"display_order": 0,
"display_hidden": false
}
],
"syncid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"consumers": [
"<string>"
],
"flows": [
{
"name": "<string>",
"id": "<string>",
"description": "<string>",
"execution": {
"type": "code",
"data": {
"name": "<string>"
}
},
"config": {
"datastores": []
},
"triggers": [
{
"id": "<string>",
"type": "timer",
"cronschedules": [
"<string>"
],
"visible": true,
"definitionFields": [
{}
],
"options": {},
"priority": "NORMAL"
}
]
}
],
"config": {},
"mappings": []
}
]{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Syncs
Get syncs
Returns all syncs configured for your account.
GET
/
syncs
Get syncs
Learn more:
Authorizations
This access token needs to be included in each of your request to the Chift API.
Query Parameters
Filters the consumers listed on each sync. 'enabled' keeps the consumers who enabled at least one default flow of the sync (the dashboard's 'enabled' status), 'not_enabled' keeps the other linked consumers. Defaults to 'all'.
Available options:
all, enabled, not_enabled Response
Successful Response
Minimum string length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes